>From 956044e7af1ee543c2e76d05b3367109db562477 Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Sun, 10 Apr 2016 21:59:49 -0700
Subject: [PATCH 3/3] WIP: Force PGXACT stride to be 16 instead of 12 bytes.

The previous solution lead to PGXACTs split across cachelines.
---
 src/include/storage/proc.h | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/include/storage/proc.h b/src/include/storage/proc.h
index c3b462c..d2cd71d 100644
--- a/src/include/storage/proc.h
+++ b/src/include/storage/proc.h
@@ -204,6 +204,8 @@ typedef struct PGXACT
 								 * previously called InCommit */
 
 	uint8		nxids;
+
+	uint32		pad;			/* FIXME: proper padding solution */
 } PGXACT;
 
 /*
-- 
2.7.0.229.g701fa7f

